/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Includes
#ifndef _ENDLEVELSTATE_H
#define _ENDLEVELSTATE_H

#include "Engine.h"
#include "WorldManager.h"

class CWorldManager;
class EndLevelState : public CGameState
{
	public:
      void Init();
      void Cleanup();

      void Pause();
      void Resume();

      void HandleEvents(StateManager * game);
      void Update(StateManager * game);
      void Draw(StateManager * game);

      static EndLevelState* Instance()
      {
         return &m_EndLevelState;
      }
      
      void FadeWhite();
      void UnFadeWhite();
      
		   //WorldManager
      CWorldManager* worldMan;
      
	protected:
     EndLevelState() { }

	private:
      static EndLevelState m_EndLevelState;
      sMusic music;
      bool isFadingWhite, isUnFadingWhite;
      int fadeWhiteVal, fadeUnWhiteVal;
      bool lastLevel;
};

#endif
